Add support for GTK3 panel indicators

Bug #1238997 reported by Thaddaeus Tintenfisch on 2013-10-11
54
This bug affects 12 people
Affects Status Importance Assigned to Milestone
xfce4-indicator-plugin (Ubuntu)
Low
Jackson Doak
xfce4-panel (Ubuntu)
Low
Jackson Doak

Bug Description

Xfce-Panel does not support the GTK3 panel indicators (indicator-messages, indicator-sound,...) shipped by Ubuntu.

More information:
https://wiki.ubuntu.com/Xubuntu/Roadmap/Specifications/Trusty/Gtk3Indicators

Related branches

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-panel (Ubuntu):
status: New → Confirmed
tags: added: trusty
Pasi Lallinaho (knome) on 2013-12-13
description: updated
Changed in xfce4-panel (Ubuntu):
importance: Undecided → Low
Jackson Doak (noskcaj) on 2014-02-02
Changed in xfce4-indicator-plugin (Ubuntu):
status: New → Triaged
Changed in xfce4-panel (Ubuntu):
status: Confirmed → Triaged
Changed in xfce4-indicator-plugin (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-panel - 4.11.0~0.git20140209.86a1b73-0ubuntu1

---------------
xfce4-panel (4.11.0~0.git20140209.86a1b73-0ubuntu1) trusty; urgency=low

  [ Unit 193 ]
  * New git snapshot. (LP: #1238997)
  * debian/patches:
    - 02_potfiles-fix-ftbfs.patch: added, add missing files to po/POTFILES.in.
  * debian/control: add b-dep on newer garcon.

  [ Lionel Le Folgoc ]
  * debian/patches:
    - xubuntu_add-calendar-popup-to-clock-plugin.patch: dropped, included.
    - series: refreshed.
  * debian/xfce4-panel.install: include both (gtk2 and gtk3) wrappers.
  * debian/rules: pass --enable-gtk3 --disable-silent-rules to configure script.
  * debian/control: add b-dep on libgtk-3-dev.
  * debian/xfce4-panel.shlibs: updated for the gtk3 library.

xfce4-panel (4.10.1-2) UNRELEASED; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Update debian/xfce4-panel.1
  * debian/control: Bump standards-version to 3.9.4
  * debian/rules: Use disable-silent-rules
 -- Unit 193 <email address hidden> Wed, 12 Feb 2014 15:41:39 -0500

Changed in xfce4-panel (Ubuntu):
status: Triaged → Fix Released
tags: removed: saucy
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-indicator-plugin - 2.3.0-0ubuntu1

---------------
xfce4-indicator-plugin (2.3.0-0ubuntu1) trusty; urgency=medium

  * New upstream release. LP: #1238997
  * Bump required panel version
 -- Jackson Doak <email address hidden> Sun, 16 Feb 2014 15:03:36 +1100

Changed in xfce4-indicator-plugin (Ubuntu):
status: Triaged → Fix Released
Pasi Lallinaho (knome) on 2014-03-24
Changed in xfce4-indicator-plugin (Ubuntu):
assignee: nobody → Jackson Doak (noskcaj)
Changed in xfce4-panel (Ubuntu):
assignee: nobody → Jackson Doak (noskcaj)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints